> ## Documentation Index
> Fetch the complete documentation index at: https://docs.radinai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v2generation

> دریافت وضعیت و اطلاعات یک درخواست تولید محتوا



## OpenAPI

````yaml /api-1(12).json get /v2/generation/{id}
openapi: 3.0.3
info:
  title: رادین API اسناد
  description: >
    ### 📚 انتخاب کتابخانه




    از این لیست می‌توانید کتابخانه مورد استفاده خود را انتخاب کنید تا اسناد
    مربوطه ایجاد شوند.




    ---




    ### 🔑 احراز هویت (اختیاری)




    می‌توانید کلید خود را برای احراز هویت وارد کنید.




    > کلید در هدر 

    >`x-api-key`

    > قرار می‌گیرد.



    ---


    ## برای ارسال درخواست ها، از دامنه مد نظر استفاده کنید


    دامنه سرور داخلی:

    https://api.radinai.com


    دامنه سرور خارجی:

    https://api2.radinai.com


    نمونه لینک نهایی API endpoint:

    https://api.radinai.com/generate/create-video


    پلی گراند سرور خارجی:

    https://api2.radinai.com/docs
  version: '1.0'
  contact:
    name: پشتیبانی
    url: https://radinai.com/support
servers:
  - url: https://api2.radinai.com
    description: رادین API خارجی
    variables:
      basePath:
        default: /v2
        description: پسوند سرویس ها
security:
  - ApiKeyAuth: []
tags:
  - name: Content Generation
    description: ایجاد و مدیریت درخواست های تولید محتوا
  - name: مدیریت فایل ها
    description: آپلود، دانلود، حذف فایل ها و لیست کردن فایل ها
externalDocs:
  url: https://radinai.com/api-dashboard
  description: رادین API داشبورد
paths:
  /v2/generation/{id}:
    get:
      tags:
        - Content Generation
      description: دریافت وضعیت و اطلاعات یک درخواست تولید محتوا
      operationId: getV2GenerationById
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Response for status 200
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      apiKeyId:
                        type: string
                      creditCost:
                        type: number
                      createdAt:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                        description: timestamp in milliseconds since epoch
                      completedAt:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                        description: timestamp in milliseconds since epoch
                      webhookUrl:
                        type: string
                      input:
                        type: object
                        properties:
                          prompt:
                            type: string
                          model:
                            type: string
                            enum:
                              - topaz-video
                              - heygen
                              - hailuo-2
                              - hailuo-23
                              - kling-25
                              - kling-26
                              - kling-3
                              - kling-3-turbo
                              - kling-motion
                              - kling-motion-3
                              - kling-lipsync
                              - o1-elements
                              - o1-frames
                              - o1-transformation
                              - o1-video-reference
                              - o3-elements
                              - o3-frames
                              - o3-transformation
                              - o3-video-reference
                              - midjourney-sd
                              - seedance-pro-fast
                              - bytedance-upscale
                              - seedance-2
                              - seedance-2-mini
                              - lip-sync
                              - avatar-talk
                              - topaz
                              - normal-upscale
                              - o1
                              - o3
                              - kling-element-gen
                              - kontext
                              - flux1.1-pro-ultra
                              - seedream-4
                              - seedream-45
                              - gemini-2-5
                              - gemini-3
                              - nano-2
                              - gpt-image
                              - gpt-image-1.5
                              - midjourney
                              - crystal
                              - gpt-image-2
                              - seedream5-lite
                              - elevenlabs-2
                              - elevenlabs-3
                          type:
                            type: string
                            enum:
                              - video
                              - audio
                              - image
                              - prompt
                          inputImageIds:
                            type: array
                            items:
                              type: string
                          inputVideoIds:
                            type: array
                            items:
                              type: string
                          inputAudioIds:
                            type: array
                            items:
                              type: string
                        required:
                          - prompt
                          - model
                          - type
                          - inputImageIds
                          - inputVideoIds
                          - inputAudioIds
                        additionalProperties: false
                      status:
                        type: string
                        enum:
                          - completed
                      outputs:
                        type: array
                        items:
                          type: object
                          properties:
                            private:
                              type: string
                              description: لینک دانلود که نیازمند کلید API می باشد
                            publicTemporary:
                              type: string
                              description: >-
                                لینک دانلود موقت (بین 10 الی 30 دقیقه اعتبار
                                دارد)، که نیازی به کلید API ندارد
                            globalPrivate:
                              type: string
                              description: >-
                                لینک دانلود از سرور های خارجی، که نیازمند کلید
                                API می باشد
                            globalPublicTemporary:
                              type: string
                              description: >-
                                لینک دانلود موقت از سرور های خارجی (بین 10 الی
                                30 دقیقه اعتبار دارد)، که نیازی به کلید API
                                ندارد
                          required:
                            - private
                            - publicTemporary
                            - globalPrivate
                            - globalPublicTemporary
                          additionalProperties: false
                    required:
                      - apiKeyId
                      - creditCost
                      - createdAt
                      - input
                      - status
                      - outputs
                    additionalProperties: false
                    title: تکمیل شده
                    description: >-
                      تولید محتوا کامل شده است و می توانید از پاسخ، لینک های
                      دانلود آن را بردارید
                  - type: object
                    properties:
                      apiKeyId:
                        type: string
                      creditCost:
                        type: number
                      createdAt:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                        description: timestamp in milliseconds since epoch
                      completedAt:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                        description: timestamp in milliseconds since epoch
                      webhookUrl:
                        type: string
                      input:
                        type: object
                        properties:
                          prompt:
                            type: string
                          model:
                            type: string
                            enum:
                              - topaz-video
                              - heygen
                              - hailuo-2
                              - hailuo-23
                              - kling-25
                              - kling-26
                              - kling-3
                              - kling-3-turbo
                              - kling-motion
                              - kling-motion-3
                              - kling-lipsync
                              - o1-elements
                              - o1-frames
                              - o1-transformation
                              - o1-video-reference
                              - o3-elements
                              - o3-frames
                              - o3-transformation
                              - o3-video-reference
                              - midjourney-sd
                              - seedance-pro-fast
                              - bytedance-upscale
                              - seedance-2
                              - seedance-2-mini
                              - lip-sync
                              - avatar-talk
                              - topaz
                              - normal-upscale
                              - o1
                              - o3
                              - kling-element-gen
                              - kontext
                              - flux1.1-pro-ultra
                              - seedream-4
                              - seedream-45
                              - gemini-2-5
                              - gemini-3
                              - nano-2
                              - gpt-image
                              - gpt-image-1.5
                              - midjourney
                              - crystal
                              - gpt-image-2
                              - seedream5-lite
                              - elevenlabs-2
                              - elevenlabs-3
                          type:
                            type: string
                            enum:
                              - video
                              - audio
                              - image
                              - prompt
                          inputImageIds:
                            type: array
                            items:
                              type: string
                          inputVideoIds:
                            type: array
                            items:
                              type: string
                          inputAudioIds:
                            type: array
                            items:
                              type: string
                        required:
                          - prompt
                          - model
                          - type
                          - inputImageIds
                          - inputVideoIds
                          - inputAudioIds
                        additionalProperties: false
                      status:
                        type: string
                        enum:
                          - failed
                      errorMessage:
                        type: string
                      reason:
                        type: string
                    required:
                      - apiKeyId
                      - creditCost
                      - createdAt
                      - input
                      - status
                      - errorMessage
                      - reason
                    additionalProperties: false
                    title: ناموفق
                    description: تولید محتوا ناموفق بوده است، دلیل آن در خروجی ذکر شده است.
                  - type: object
                    properties:
                      apiKeyId:
                        type: string
                      creditCost:
                        type: number
                      createdAt:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                        description: timestamp in milliseconds since epoch
                      completedAt:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                        description: timestamp in milliseconds since epoch
                      webhookUrl:
                        type: string
                      input:
                        type: object
                        properties:
                          prompt:
                            type: string
                          model:
                            type: string
                            enum:
                              - topaz-video
                              - heygen
                              - hailuo-2
                              - hailuo-23
                              - kling-25
                              - kling-26
                              - kling-3
                              - kling-3-turbo
                              - kling-motion
                              - kling-motion-3
                              - kling-lipsync
                              - o1-elements
                              - o1-frames
                              - o1-transformation
                              - o1-video-reference
                              - o3-elements
                              - o3-frames
                              - o3-transformation
                              - o3-video-reference
                              - midjourney-sd
                              - seedance-pro-fast
                              - bytedance-upscale
                              - seedance-2
                              - seedance-2-mini
                              - lip-sync
                              - avatar-talk
                              - topaz
                              - normal-upscale
                              - o1
                              - o3
                              - kling-element-gen
                              - kontext
                              - flux1.1-pro-ultra
                              - seedream-4
                              - seedream-45
                              - gemini-2-5
                              - gemini-3
                              - nano-2
                              - gpt-image
                              - gpt-image-1.5
                              - midjourney
                              - crystal
                              - gpt-image-2
                              - seedream5-lite
                              - elevenlabs-2
                              - elevenlabs-3
                          type:
                            type: string
                            enum:
                              - video
                              - audio
                              - image
                              - prompt
                          inputImageIds:
                            type: array
                            items:
                              type: string
                          inputVideoIds:
                            type: array
                            items:
                              type: string
                          inputAudioIds:
                            type: array
                            items:
                              type: string
                        required:
                          - prompt
                          - model
                          - type
                          - inputImageIds
                          - inputVideoIds
                          - inputAudioIds
                        additionalProperties: false
                      status:
                        type: string
                        enum:
                          - processing
                    required:
                      - apiKeyId
                      - creditCost
                      - createdAt
                      - input
                      - status
                    additionalProperties: false
                    title: درحال پردازش
                    description: تولید محتوا درحال پردازش است و هنوز تمام نشده
        '400':
          description: Response for status 400
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                properties:
                  message:
                    type: string
        '401':
          description: Response for status 401
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                properties:
                  message:
                    type: string
        '403':
          description: Response for status 403
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                properties:
                  message:
                    type: string
        '500':
          description: Response for status 500
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                properties:
                  message:
                    type: string
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: کلید خود را اینجا وارد کنید

````